curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/customers/me' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"accepts_marketing": true,
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142"
}'
Update current customer
Update current customer
PUT
/
api
/
v1
/
customers
/
me
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/customers/me' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"accepts_marketing": true,
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142"
}'
Request body
UpdateCustomerRequest
boolean,null
string,null
string,null
string,null
Response
No response body. Customer updated.Status codes
| Code | Meaning |
|---|---|
200 | Customer updated |
400 | Invalid request |
401 | Unauthorized |
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/customers/me' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"accepts_marketing": true,
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142"
}'
Last modified on August 31, 2026